Bug 1660515 - Remmina NX plugin no longer works
Summary: Remmina NX plugin no longer works
Keywords:
Status: ASSIGNED
Alias: None
Product: Fedora
Classification: Fedora
Component: remmina
Version: 33
Hardware: x86_64
OS: Linux
unspecified
unspecified
Target Milestone: ---
Assignee: Pavel Alexeev
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-12-18 14:02 UTC by Matt Castelein
Modified: 2020-11-03 18:16 UTC (History)
4 users (show)

Fixed In Version: remmina-1.3.3-1.fc29 remmina-1.3.3-1.fc28
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-04-05 01:54:48 UTC
Type: Bug


Attachments (Terms of Use)

Description Matt Castelein 2018-12-18 14:02:56 UTC
Description of problem:
Used to be able to connect to remote desktops with the NX plugin but now get the error: "Warning: This plugin require [sic] GtkSocket, but it's not available"

Version-Release number of selected component (if applicable):
remmina-1.2.32-1.fc29.x86_64

How reproducible:
Always

Steps to Reproduce:
1.Try to open remote desktop using NX

Actual results:
Error about missing plugin

Expected results:
Connects to remote desktop

Comment 1 Fedora Update System 2019-02-28 19:42:55 UTC
freerdp-2.0.0-48.20190228gitce386c8.fc29 remmina-1.3.3-1.fc29 gnome-boxes-3.30.3-2.fc29 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2019-e3b2885a25

Comment 2 Fedora Update System 2019-02-28 19:43:21 UTC
freerdp-2.0.0-48.20190228gitce386c8.fc28 remmina-1.3.3-1.fc28 gnome-boxes-3.28.5-2.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2019-b2d986c3e9

Comment 3 Fedora Update System 2019-03-01 03:36:09 UTC
freerdp-2.0.0-48.20190228gitce386c8.fc29, gnome-boxes-3.30.3-2.fc29, pidgin-sipe-1.24.0-3.fc29, remmina-1.3.3-1.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-e3b2885a25

Comment 4 Fedora Update System 2019-03-01 22:23:26 UTC
freerdp-2.0.0-48.20190228gitce386c8.fc28, gnome-boxes-3.28.5-2.fc28, pidgin-sipe-1.24.0-3.fc28, remmina-1.3.3-1.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-b2d986c3e9

Comment 5 Fedora Update System 2019-03-02 01:47:12 UTC
freerdp-2.0.0-48.20190228gitce386c8.fc29, gnome-boxes-3.30.3-2.fc29, pidgin-sipe-1.24.0-3.fc29, remmina-1.3.3-1.fc29 has been pushed to the Fedora 29 stable repository. If problems still persist, please make note of it in this bug report.

Comment 6 Matt Castelein 2019-03-02 13:37:10 UTC
Now getting a blank, black desktop window and the same warning message.  The message still has the typo as well.

Comment 7 Fedora Update System 2019-03-06 06:21:17 UTC
freerdp-2.0.0-49.20190304git435872b.fc28 gnome-boxes-3.28.5-2.fc28 pidgin-sipe-1.24.0-3.fc28 remmina-1.3.3-1.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2019-b2d986c3e9

Comment 8 Fedora Update System 2019-03-06 15:12:50 UTC
freerdp-2.0.0-49.20190304git435872b.fc28, gnome-boxes-3.28.5-2.fc28, pidgin-sipe-1.24.0-3.fc28, remmina-1.3.3-1.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-b2d986c3e9

Comment 9 Matt Castelein 2019-03-23 21:24:29 UTC
Installed updates for nx-libs and nxproxy today.. Thought I'd give this another check.  It's still not working.

Comment 10 Fedora Update System 2019-04-05 01:54:48 UTC
freerdp-2.0.0-49.20190304git435872b.fc28, gnome-boxes-3.28.5-2.fc28, pidgin-sipe-1.24.0-3.fc28, remmina-1.3.3-1.fc28 has been pushed to the Fedora 28 stable repository. If problems still persist, please make note of it in this bug report.

Comment 11 Simone Caronni 2019-05-19 08:41:19 UTC
Just rolled out a new snapshot of FreeRDP (they don't do releases and keep on changing the ABI/API) and a new Remmina release:

https://bodhi.fedoraproject.org/updates/?packages=freerdp

Can you please try this and check if it's working? Thanks.

Comment 12 Matt Castelein 2019-05-22 11:12:14 UTC
I'm still getting the same message about GtkSocket. (Still has the typo as well)

Comment 13 Simone Caronni 2019-08-20 20:06:56 UTC
Another update with Remmina 1.3.5, but there seeems to be no update to the NX part.

Comment 14 Matt Castelein 2019-08-21 13:49:10 UTC
I've reproduced this issue on two more machines with Fedora 30.

Comment 15 Simone Caronni 2019-08-22 12:58:54 UTC
Same as before, just rolled out a new snapshot of FreeRDP and a new Remmina release:

https://bodhi.fedoraproject.org/updates/?packages=freerdp

Please try this and check if it's working. Thanks.

Comment 16 Matt Castelein 2019-08-22 13:23:31 UTC
Still getting the warning, but at least the typo is fixed!

Comment 17 Simone Caronni 2020-02-08 16:55:57 UTC
Many commits later... if someone wants to give it a try:

https://bodhi.fedoraproject.org/updates/FEDORA-2020-483cbdf643

I don't see much happening on the NX front though:

https://gitlab.com/Remmina/Remmina/-/releases

Comment 18 Matt Castelein 2020-02-10 15:18:21 UTC
The typo in the warning message got fixed, but not the GtkSocket issue itself.

Comment 19 florian 2020-02-15 22:03:44 UTC
Seems to be an issue with remmina relying on x11 specific GTKSocket... see here: https://www.linux-magazin.de/ausgaben/2017/01/wayland-und-gtk/ 

Starting remmina on the cmdline and setting the env variable GDK_BACKEND=x11 worked for me


$ GDK_BACKEND=x11 remmina

Comment 20 Ben Cotton 2020-11-03 15:06:40 UTC
This message is a reminder that Fedora 31 is nearing its end of life.
Fedora will stop maintaining and issuing updates for Fedora 31 on 2020-11-24.
It is Fedora's policy to close all bug reports from releases that are no longer
maintained. At that time this bug will be closed as EOL if it remains open with a
Fedora 'version' of '31'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 31 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.


Note You need to log in before you can comment on or make changes to this bug.